Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78009 - USB floppy geometry incorrectly calculated
Summary: USB floppy geometry incorrectly calculated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-17 13:08 UTC by rehbein
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:12 UTC


Attachments (Terms of Use)

Description rehbein 2002-11-17 13:08:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I have a sony vaio picturebook with RH 8.0 installed. The Sony doesn't have an
ide floppy. Rather a USB port which a usb floppy can be attached. The bios is
written to boot a floppy via the usb port. 
When the usb floppy is attached, it is recognized. However, make a boot disk
with mkbootdisk results in a floppy that will not boot. If a floppy is formatted
as DOS, written with data and then read on a DOS machine, DOS reports that the
floppy diskette is not formatted properly. It appears that the geometry of the
USB floppy is not being properly calcualted on Linux.

Version-Release number of selected component (if applicable):2.4.18-14


How reproducible:
Always

Steps to Reproduce:
1.On DOS format and write data to a floppy.
2.Inset this floppy in USB floppy connected to Linux.
3.Attempt to mount the floppy.
4.Mount reports numerous partition errors.
or
1. On Linux perform a mkbootdisk. All appears to be OK.
2. Attempt to boot diskette on VAIO. Bios fails reporting a "Boot Error".
or
1. mkfs a DOS filesystem on diskette inserted in USB floppy drive.
2. All appears OK.
3. mount the diskette and write data to it whilst still on the Linux system. All
appears OK.
4. Insert fiskette in a DOS system (dos, nt, windows, etc.). The diskette will
not mount. Diskette is reported as not properly formatted or defective.
	

Additional info:

Since unable to create and use diskette, unable to perform other tasks like
install vmware and create quest operating systems. For me this is a signficant
high priority problem that really needs to be fixed.

A possible workaround might be is I could created bootable cdroms. Where  I
could boot whatever I like.

Comment 1 Bugzilla owner 2004-09-30 15:40:12 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.